Bug 280581 - python-iniparse doesn't handle comments the same
python-iniparse doesn't handle comments the same
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-iniparse (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Blocker
  Show dependency treegraph
 
Reported: 2007-09-06 10:19 EDT by Bill Nottingham
Modified: 2014-03-16 23:08 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.2.1-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 23:20:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-09-06 10:19:23 EDT
Description of problem:

Given a repo definition of:

[development]
name=Fedora - Development
baseurl=http://koji.fedoraproject.org/static-repos/dist-f8-build-current/x86_64/
# baseurl= http://172.31.4.2/fedora/development/x86_64/os/
        http://download.fedora.redhat.com/pub/fedora/linux/development/x86_64/os/
#mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide&arch=x86_64
enabled=1
gpgcheck=0

yum-3.2.4 w/iniparse yields:

[root@nostromo ~]# yum -d5 upgrade
Loading "skip-broken" plugin
Running "config" handler for "skip-broken" plugin
Config Error: File contains parsing errors:
file://///etc/yum.repos.d/fedora-development.repo
        [line 26]:     
http://download.fedora.redhat.com/pub/fedora/linux/development/x86_64/os/

If I take the commented line out, it works.

Version-Release number of selected component (if applicable):

yum-3.2.4-3.fc8
Comment 1 Tim Lauridsen 2007-09-06 13:12:06 EDT
It is an issue in python-iniparse, it have been reported upstream
Comment 2 Tim Lauridsen 2007-09-10 07:22:12 EDT
I have made a python-iniparse-0.2.1-3 release with a patch from upstream there
fixes this issue.
It will be available in rawhide & updates-testing at next push.
Comment 3 Fedora Update System 2007-09-10 12:51:39 EDT
python-iniparse-0.2.1-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-09-17 23:20:35 EDT
python-iniparse-0.2.1-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.